.NET 1.0 True Addon?

Windows 2000 Professional Update Pack discussion.
Post Reply
tomasz86
Posts: 491
Joined: Tue Aug 09, 2011 12:12 pm
Location: windowsarchives.com
Contact:

.NET 1.0 True Addon?

Post by tomasz86 » Fri Apr 20, 2012 11:04 am

I wonder whether this addon can be used with Windows 2000.

User avatar
OnePiece Alb
Posts: 525
Joined: Sat Sep 01, 2007 7:01 pm
Location: Albania
Contact:

Post by OnePiece Alb » Fri Apr 20, 2012 1:33 pm

do not ever tried but I think yes serves only indicate also the netfx.cab ect ect

but it is very very old dotnet10, not recommended to install in Windows 2000, where already the dotnet11

Ciao.

tomasz86
Posts: 491
Joined: Tue Aug 09, 2011 12:12 pm
Location: windowsarchives.com
Contact:

Post by tomasz86 » Sun Apr 22, 2012 9:32 am

Thanks for a quick answer :)

Is integrating .NET 1.0 just a waste of space and totally not needed?

User avatar
bphlpt
Posts: 1362
Joined: Sat Apr 19, 2008 1:11 am

Post by bphlpt » Sun Apr 22, 2012 10:55 am

The only thing I can think of off hand that requires .NET 1.0 is the Windows XP Tablet PC 2005 (English) addon that CODYQX4 made. http://www.wincert.net/forum/topic/5387 ... onenglish/ OnePiece made the .NET 1.0 SP3 addon for him to use there. But you knew that since the link you quoted above was from a related post. I don't know the actual reason why .NET 1.0 was required, with everything we know now, that addon could possibly be remade to not require it, I don't know. Bottom line, AFAIK the only reason that .NET 1.0 should be required is if you are using other software, lazily written, that checks for or calls the .NET 1.0 functions in particular folder locations that usually include the .NET 1.0 version number in the folder name. For me, wanting to always be prepared to run any software I want at any time, I might be inclined to include .NET 1.0. But I agree with OnePiece that it really should not be necessary. All of it's functionality is included in later versions of .NET.

Cheers and Regards

User avatar
OnePiece Alb
Posts: 525
Joined: Sat Sep 01, 2007 7:01 pm
Location: Albania
Contact:

Post by OnePiece Alb » Sun Apr 22, 2012 11:09 am

tomasz86 wrote:Thanks for a quick answer :)
Is integrating .NET 1.0 just a waste of space and totally not needed?
its very very old version (completely obsolete) and totally unnecessary

Ciao.

tomasz86
Posts: 491
Joined: Tue Aug 09, 2011 12:12 pm
Location: windowsarchives.com
Contact:

Post by tomasz86 » Sun Apr 22, 2012 12:37 pm

I was thinking about such applications as bphlpt mentioned, i.e. the ones that are hardcoded to look for .NET 1.0 locations. I want to include .NET Frameworks in UURollup (BTW, I found a method to do it and not break HFSLIP compatiblity at the same time 8)) and that's why this topic came out.

Maybe something like adding this .NET 1.0 addon to UURollup but having it installed only if .NET 1.0 is already present in the system (i.e. updating the existing installation) would be fine, wouldn't it?

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Mon Apr 23, 2012 2:10 am

I wonder if such an application exists but in any case here is a specific w2k .net 1.0 addon from Onepiece.
It's suggested to integrate it only if really necessary
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

tomasz86
Posts: 491
Joined: Tue Aug 09, 2011 12:12 pm
Location: windowsarchives.com
Contact:

Post by tomasz86 » Mon Apr 23, 2012 6:26 am

Thank you very much!

tomasz86
Posts: 491
Joined: Tue Aug 09, 2011 12:12 pm
Location: windowsarchives.com
Contact:

Post by tomasz86 » Fri May 11, 2012 6:27 pm

@nonno fabio
I think you (or OnePiece?) forgot to change all entries referring to "netfxocm.inf" to "netfx10.inf" in netfx10.inf and entries_netfx10.ini. The addon can't be installed because it asks for "netfxocm.inf".

tomasz86
Posts: 491
Joined: Tue Aug 09, 2011 12:12 pm
Location: windowsarchives.com
Contact:

Post by tomasz86 » Sat May 12, 2012 4:32 am

One more thing - how about changing the flags from "64" to "32"? Now it asks whether to overwrite newer files or not (when .NET 1.1 has been installed earlier).

tomasz86
Posts: 491
Joined: Tue Aug 09, 2011 12:12 pm
Location: windowsarchives.com
Contact:

Post by tomasz86 » Sat May 12, 2012 11:46 am

One more issue - "mofcomp.exe" is necessary to run the two first lines from "[ActionInstall]" but there's no "mofcomp.exe" in the addon.

There's "mofcomp.exe" in "%systemroot%\system32\wbem" maybe it's too old?. I'm not sure what the problem is but there's an error related to it during the Windows installation (when the addon is being installed). I'll try to upload a screen shot later.

EDIT

I think I need to do more tests with a fully updated Windows 2000 source.

User avatar
nonno fabio
Posts: 1627
Joined: Mon Jun 06, 2005 10:36 am
Location: Northern Italy
Contact:

Post by nonno fabio » Sun May 13, 2012 10:52 am

Thank you for your reports. Onepiece will consider them but he's forced to use an old PC now because the main one is off.
Don't ask for a different configuration of Onepiece's XP AIO Update Pack: use one of the existing vanilla XP UpdatePack with your preferred addons instead

tomasz86
Posts: 491
Joined: Tue Aug 09, 2011 12:12 pm
Location: windowsarchives.com
Contact:

Post by tomasz86 » Sun May 13, 2012 11:06 am

No problem. I'll od more tests and report the results.

tomasz86
Posts: 491
Joined: Tue Aug 09, 2011 12:12 pm
Location: windowsarchives.com
Contact:

Post by tomasz86 » Fri May 18, 2012 12:03 pm

You only need to change the "netfxocm.inf" to "netfx10.inf" in the INF file. The other errors were caused by a not updated W2K installation (it was a not updated W2K SP4).

tomasz86
Posts: 491
Joined: Tue Aug 09, 2011 12:12 pm
Location: windowsarchives.com
Contact:

Re: .NET 1.0 True Addon?

Post by tomasz86 » Sat Dec 10, 2016 1:51 am

Does anyone still have the file in question? :(

I have deleted mine and realized the mistake too late to recover it. :(

The filename was "OnePiece_Microsoft.NET_Framework_v1.0.3705_For_Win2K_True_AddOn_ENU_4C833834DB9424399075BA60C12A3B04.cab". The original URL is dead and Google also shows no results.

If someone does have it then I will be very thankful if you could reupload it to any free hosting.

User avatar
OnePiece Alb
Posts: 525
Joined: Sat Sep 01, 2007 7:01 pm
Location: Albania
Contact:

Re: .NET 1.0 True Addon?

Post by OnePiece Alb » Sat Dec 10, 2016 1:24 pm

Hi tomasz86, in Archive folder https://drive.google.com/drive/folders/ ... 1BmVDhoMWc

Ciao.
Image Image Image

tomasz86
Posts: 491
Joined: Tue Aug 09, 2011 12:12 pm
Location: windowsarchives.com
Contact:

Re: .NET 1.0 True Addon?

Post by tomasz86 » Sun Dec 11, 2016 6:31 am

Got it!

Thank you very much. :)

Post Reply